Package ru.bitel.bgbilling.kernel.contract.balance.server.event

# Class AutopaymentModeEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.kernel.contract.balance.server.event.AutopaymentModeEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class AutopaymentModeEvent extends ru.bitel.bgbilling.kernel.event.common.LocalEvent

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AutopaymentModeEvent()`
  ``
  `AutopaymentModeEvent(int contractId, int paymentModuleId, AutopaymentMode autopaymentMode)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getPaymentModuleId()`
  `AutopaymentMode`
  `isAutopaymentMode()`
  `AutopaymentModeEvent`
  `setAutopaymentMode(AutopaymentMode autopaymentMode)`
  `AutopaymentModeEvent`
  `setPaymentModuleId(int paymentModuleId)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AutopaymentModeEvent

    protected AutopaymentModeEvent()

  - ### AutopaymentModeEvent

    public AutopaymentModeEvent(int contractId, int paymentModuleId, AutopaymentMode autopaymentMode)

- ## Method Details

  - ### getPaymentModuleId

    public int getPaymentModuleId()

  - ### setPaymentModuleId

    public AutopaymentModeEvent setPaymentModuleId(int paymentModuleId)

  - ### isAutopaymentMode

    public AutopaymentMode isAutopaymentMode()

  - ### setAutopaymentMode

    public AutopaymentModeEvent setAutopaymentMode(AutopaymentMode autopaymentMode)